Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.event
Class Sender

    java.lang.Object
      net.sf.saxon.event.Sender

    public abstract class Sender

extends Object

Sender is a helper class that sends events to a Receiver from any kind of Source object

Method Summary
`static void` | `configureParser(XMLReader parser)` Configure a SAX parser to ensure it has the correct namesapce properties set
`static void` | `send(Source source, Receiver receiver, ParseOptions options)` Send the contents of a Source to a Receiver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### send

    public static void send(Source source,
                            Receiver receiver,
                            ParseOptions options)
                     throws XPathException

  Send the contents of a Source to a Receiver.

  Parameters:
    `source` - the source to be copied. Note that if the Source contains an InputStream or Reader then it will be left open, unless it is an AugmentedSource with the pleaseCloseAfterUse flag set. On the other hand, if it contains a URI that needs to be dereferenced to obtain an InputStream, then the InputStream will be closed after use.
    `receiver` - the destination to which it is to be copied
    `options` - Parse options. If source is an AugmentedSource, any options set in the AugmentedSource are used in preference to those set in options. If neither specifies a particular option, the defaults from the Configuration are used. If null is supplied, the parse options from the PipelineConfiguration of the receiver are used.
  Throws:
    `XPathException`

### configureParser

    public static void configureParser(XMLReader parser)
                                throws XPathException

  Configure a SAX parser to ensure it has the correct namesapce properties set

  Parameters:
    `parser` - the parser to be configured
  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.